cimple-2.0.24-12.6.i586.rpm


Advertisement

Description

cimple - CIMPLE is an embeddable CIM provider engine

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename cimple-2.0.24-12.6.i586.rpm
Package name cimple
Package version 2.0.24
Package release 12.6
Package architecture i586
Package type rpm
Category System/Management
Homepage http://cimple.org
License MIT
Maintainer -
Download size 256.34 KB
Installed size 1.04 MB
CIMPLE is an embeddable CIM provider engine. It is used to (1) build
providers that will work with a variety of CIM servers and (2) provide
a foundation for implementing CIM-based standards such as WBEM, SMASH,
WSDM, and WS Management.

Alternatives

Package Version Architecture Repository
cimple-2.0.24-12.6.x86_64.rpm 2.0.24 x86_64 openSUSE Oss
cimple - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.4) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GLIBC_2.0) -
libpegclient.so.1 -
libpegcommon.so.1 -
libpeglistener.so.1 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.3.2) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.8) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.20) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.9) -

Provides

Name Value
cimple = 2.0.24-12.6
cimple(x86-32) = 2.0.24-12.6
libcimple.so -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package cimple-2.0.24-12.6.i586.rpm
Source Package cimple-2.0.24-12.6.src.rpm

Install Howto

Install cimple rpm package:

# zypper install cimple

Files

Path
/usr/bin/ciminvoke
/usr/bin/cimlisten
/usr/bin/file2c
/usr/bin/genclass
/usr/bin/genhnd
/usr/bin/genmak
/usr/bin/genmod
/usr/bin/genproj
/usr/bin/genprov
/usr/bin/regmod
/usr/bin/regview
/usr/lib/libcimple.so

Changelog

2016-06-18 - kkaempf@suse.com
- add cimple-2.0.24-gcc6.patch for GCC6.
2015-06-02 - kkaempf@suse.com
- add %check section to spec file
2015-03-19 - kkaempf@suse.com
- merge with cimple-pegasus, build tog-pegasus specifics now
add install-cimlisten.patch
- split off brevity, pegasus-adapter, and cmpi-adapter
as sub-packages
2014-07-29 - dvaleev@suse.com
- Fix build on PowerPC little endian
- added patches:
* ppc64le-support.patch
2013-04-16 - schwab@suse.de
- aarch64-support: Add support for aarch64
* aarch64-support.patch
2012-11-16 - kkaempf@suse.com
- Fix build for older SUSE distros
2012-11-12 - cfarrell@suse.com
- license update: MIT
Use SPDX syntax for License line in spec file
(http://www.spdx.org/licenses)
2012-11-09 - kkaempf@suse.com
- Clean up behind spec-cleaner, %make_install is SUSE-specific
2012-11-09 - aj@suse.de
- Run through spec-cleaner.
2012-11-05 - kkaempf@suse.com
- Update to 2.0.24
This is a minor release issued correct an error found in the
association operation with the PegasusAdapter and an error introduced
in 2.0.22 in genmod. The genmod error would be evidenced by a users in
inability to register providers with regmod to OpenPegasus. It is
recommended that vesion 2.0.22 users upgrade to this verison of
SimpleWbem. Note that version 2.0.22 introduced a new configuration
parameter that allows users to control use of the macros that generate
log entries

See Also

Package Description
cimple-cmpi-adapter-2.0.24-12.6.i586.rpm CMPI Adapter for CIMPLE providers
cimple-cmpi-adapter-2.0.24-12.6.x86_64.rpm CMPI Adapter for CIMPLE providers
cimple-devel-2.0.24-12.6.i586.rpm Header files for CIMPLE : an embeddable CIM provider engine
cimple-devel-2.0.24-12.6.x86_64.rpm Header files for CIMPLE : an embeddable CIM provider engine
cimple-pegasus-adapter-2.0.24-12.6.i586.rpm Pegasus Adapter for CIMPLE providers
cimple-pegasus-adapter-2.0.24-12.6.x86_64.rpm Pegasus Adapter for CIMPLE providers
cinema-1.1.2-1.2.i586.rpm A video player for local files
cinema-1.1.2-1.2.x86_64.rpm A video player for local files
cinema-lang-1.1.2-1.2.noarch.rpm Translations for package cinema
cinnamon-3.8.9-2.1.i586.rpm GNU/Linux Desktop featuring a traditional layout
cinnamon-3.8.9-2.1.x86_64.rpm GNU/Linux Desktop featuring a traditional layout
cinnamon-control-center-3.8.2-1.2.i586.rpm Utilities to configure the Cinnamon desktop
cinnamon-control-center-3.8.2-1.2.x86_64.rpm Utilities to configure the Cinnamon desktop
cinnamon-control-center-common-3.8.2-1.2.noarch.rpm Common files for the Cinnamon configuration utilities
cinnamon-control-center-devel-3.8.2-1.2.i586.rpm Include Files and Libraries mandatory for Development
Advertisement
Advertisement